public class Complex{
	
	private double re;
	private double im;
	
	public Complex(double re,double im){
		this.re=re;
		this.im=im;
	}
	
	public static double getRe(Complex c){
		return c.re;
	}
	public static double getIm(Complex c){
		return c.im;
	}
	public static double mod(Complex c){
		return Math.sqrt(c.re*c.re+c.im*c.im);
	}
	public static Complex add(Complex c,Complex d){
		return new Complex(c.re+d.re,c.im+d.im);
	}
	public static double scalar(Complex c,Complex d){
		return c.re*d.re+c.im*d.im;
	}
	public static String toString(Complex c){
		return "("+c.re+")+i("+c.im+")";
	}
	
}
