/**
 * Componente software di testing per la classe Libretto.
 *
 * @author Andrea Urbini
 *
 */

public class TestLibretto{
	
	public static void main(String[] args){
		
		//creo il nuovo libretto intestato a me stesso
		Libretto mioLibretto=new Libretto("Ingegneria Elettronica","Andrea","Urbini","167064",2002);
		
		//registro l'esame di geometria
		mioLibretto.registraEsame(new ACMEDate(15,3,2003),"Geometria e Algebra L-A",25);
		
		//registro l'esame di analisi matematica L-A
		mioLibretto.registraEsame(new ACMEDate(15,1,2003),"Analisi Matematica L-A",24);
		
		//registro l'esame di psicopatologia
		mioLibretto.registraEsame(new ACMEDate(4,4,2003),"Psicopatologie dell'ingegnere",28);
		
		//registro l'esame di reti logighe
		mioLibretto.registraEsame(new ACMEDate(10,1,2003),"Reti Logiche L-A",25);
		
		//registro l'esame di analisi matematica L-B
		mioLibretto.registraEsame(new ACMEDate(10,3,2003),"Analisi Matematica L-B",21);
		
		//stampo su standard output la media voto degli esami
		System.out.println("La media voto degli esami e': "+mioLibretto.calcolaMedia());
		
		//ricerco l'esame di psicopatologia e stampo il voto su standard output
		System.out.println("Il voto ricevuto nell'esame di Psicopatologia dell'ingegnere e': "+mioLibretto.cercaVoto("Psicopatologie dell'ingegnere"));
		
		/*Operazione facoltativa:
		 *visualizzo il contenuto del libretto su standard output
		 */
		mioLibretto.visualizza();
	}
}