/**
 * Componente software di testing della superclasse Figura e delle sue derivate
 * (Poligono, Cerchio, Line). Viene creato un oggetto Plotter su cui vengono 
 * disegnati gli oggetti di tipo Line, Poligono, Cerchio.
 *
 * @author Andrea Urbini
 */

public class TestFigure{
	
	public static void main(String[] args){
		//Creo un oggetto Plotter
		Plotter plot=new Plotter();
		//Creo un oggetto di tipo Line
		Line l=new Line(new Point(0.0,0.1),new Point(0.2,-0.5),0,0,0,3);
		//Disegno l
		l.disegna(plot);
		//Creo l'array dei vertici del poligono
		Point[] punti=new Point[]{new Point(0.0,0.0),new Point(-0.7,0.2), new Point(0.2,-0.3)};
		//Creo un oggeto di tipo Poligono
		Poligono p=new Poligono(punti,0.5,0.3,0.9,2);
		//Disegno su plot il Poligono p
		p.disegna(plot);
		//Creo un oggetto di tipo Cerchio
		Cerchio c=new Cerchio(new Point(0.1,0.0),0.8,0.3,0.9,0.0,5);
		//Disegno su plot il Cerchio p
		c.disegna(plot);
	}
}