public class Lista{
	//Campi
	private int head;
	private Lista tail;
	//Costruttore
	private Lista(int head,Lista tail){
		this.head=head;
		this.tail=tail;
	}
	//Metodi Factory
	public static Lista Nil(){
		return null;
	}
	public static Lista Cons(int head,Lista tail){
		return new Lista(head,tail);
	}
	//Metodi statici
	public static boolean isNil(Lista l){
		return (l==null);
	}
	public static int getHead(Lista l){
		return (l==null)?-1:l.head;
	}
	public static Lista getTail(Lista l){
		return (l==null)?null:l.tail;
	}
	public static String toString(Lista l){
		if (l==null)return "";
		return ""+l.head+";"+toString(l.tail);
	}
	public static Lista fromArray(int[] a){
		Lista l=Nil();
		for (int i=0;i<a.length;i++)
			l=Cons(a[i],l);
		return l;
	} 
} 