class Ordina2{
	
	public static int[] mixedBobbleSort(int[] a){
		for (int i=0;i<a.length;i++){
			for (int j=a.length-1;j!=i;j--)
				if (a[j]<a[i]) swap(a,i,j);
			scrivi(a);
		}
		return a;
	}
	
	public static int[] bobbleSort(int[] a){
		for (int i=0;i<a.length;i++){
			for (int j=i+1;j<a.length;j++)
				if (a[i]>a[j]) swap(a,i,j);
			scrivi(a);
		}
		return a;
	}
	
	public static int[] naiveSort(int[] a){
		for (int size=a.length-1;size!=0;size--){
			swap(a,size-1,searchPosMax(a,size));
			scrivi(a);
		}
		return a;
	}	
	
	private static int searchPosMax(int[] a,int size){
		int pos=0;
		for(int i=1;i<size;i++)
			if (a[pos]<a[i]) pos=i;
		return pos;
	}
	
	 
	private static void scrivi(int[] a){
		System.out.println(""+Arrey.scriviArray(a));
	}
		
	private static void swap (int[] a,int i,int j){
		int temp=0;
		temp=a[i];
		a[i]=a[j];
		a[j]=temp;
	}
		
	public static void main(String[] args){
		int[] b=new int[args.length];
		for (int i=0;i<args.length;i++){
			b[i]=Integer.parseInt(args[i]);
		}
		System.out.println(""+Arrey.scriviArray(mixedBobbleSort(new int[]{0,2,1,7,3,-1,3,5,1,8})));
		System.out.println("");
		System.out.println(""+Arrey.scriviArray(bobbleSort(new int[]{0,2,1,7,3,-1,3,5,1,8})));
		System.out.println("");
		System.out.println(""+Arrey.scriviArray(naiveSort(new int[]{0,2,1,7,3,-1,3,5,1,8})));
	}
}