
public class UsingList{
	
	private static boolean testZip(){
    	List l1=List.fromArray(new int[]{1,2,3,4}); 
    	List l2=List.Cons(10, List.Cons(20, List.Cons(30, List.Nil()))); 
    	List l3=List.fromArray(new int[]{1,10,2,20,3,30,4}); 
    	return List.isEqual(List.zip(l1,l2),l3); 
	} 
	
	private static boolean testUnZipOdds(){
    	List l1=List.fromArray(new int[]{1,2,3,4,5,6,7,8});
    	List l2=List.fromArray(new int[]{1,3,5,7});
    	return List.isEqual(l2, List.unzipodds(l1));
	}
	
	private static boolean testUnZipEvens(){
    	List l1=List.fromArray(new int[]{1,2,3,4,5,6,7,8});
    	List l2=List.fromArray(new int[]{2,4,6,8});
    	return List.isEqual(l2, List.unzipevens(l1)) && 
                List.isEqual(List.unzipevens(List.Cons(1,List.Nil())),List.Nil());
}

	public static void main(String[] s){
//2
		List l1=List.Cons(1,List.Cons(2,List.Cons(3,List.Cons(4,List.Nil()))));
		System.out.println(List.toString(l1));
		int[] a=new int[]{1,2,3,4};
		System.out.println(Arrey.scriviArray(a));
		List l2=List.fromArray(a);
		System.out.println(List.toString(l2));
		System.out.println(List.isEqual(l1,l2));
		List l3=List.Nil();
		System.out.println(List.toString(l3));
//3
		List l4=List.Cons(1,List.Cons(2,List.Cons(1,List.Cons(3,List.Cons(1,List.Cons(4,List.Nil()))))));
		System.out.println(List.toString(l4));
		System.out.println(""+List.search(l4,1));
		System.out.println(""+List.count(l4,1));
		List l5=List.eraseAll(l4,1);
		System.out.println(List.toString(l5));
		List l6=List.concat(l4,l5);
		System.out.println(List.toString(l6));
		l6=List.append(l6,1000);
		System.out.println(List.toString(l6));
//4
		System.out.println(""+testZip());
//5a
		System.out.println(""+testUnZipOdds());
//5b
		System.out.println(""+testUnZipEvens());


	}
}