/**
 * Componente software di testing della classe ACMEList e della classe ACMEList2
 * @author Andrea Urbini
 */
 
public class MyTest{
	
	public static void main(String[] args){
		//Creo un oggetto di tipo ACMEList
		ACMEList lista=new ACMEList();
		
		//Inserisco l'elemento 13 nella lista
		lista.addElement(13);
		
		//Inserisco l'elemento 303 nella lista
		lista.addElement(303);
		
		//Stampo la lunghezza della lista
		System.out.println("La lunghezza della lista e': "+lista.getLength());
		
		//Svuoto la lista
		lista.empty();
		
		//Inserisco nella lista i multipli di 3 compresi fra 10 e 100
		for (int i=4;i<=33;i++){
			lista.addElement(i*3);
		}
		
		//Stampo la lunghezza della lista
		System.out.println("La lunghezza della lista e': "+lista.getLength());
		
		//Calcolo la somma di tutti gli elementi e la stampo sullo standard output
		int somma=0;
		for (int i=0;i<lista.getLength();i++){
			somma+=lista.getElementAt(i);
		}
		System.out.println("La somma di tutti gli elementi della lista e': "+somma);
		
		//Creo un oggetto di tipo ACMEList2
		ACMEList2 lista2=new ACMEList2();
		
		//Controola se nella lista vuota  presente l'elemento 0 e stampa il risultato
		System.out.println("E' presente l'elemento 0: "+lista2.isPresent(0));
		
		//Riempo la lista di numeri da 1 a 5
		for (int i=0;i<=5;i++){
			lista2.addElement(i);
		}
		
		//Controlla se sono presenti alcuni elementi e stampa il risultato su standard output
		System.out.println("E' presente l'elemento 6: "+lista2.isPresent(6));
		System.out.println("E' presente l'elemento 5: "+lista2.isPresent(5));
		
	}
}		