
import java.util.Vector;
/**
 * Componente software che illustra e testa
 * la classe Vector, fornita nelle librerie di Java.
 * La classe Vector e' a tutti gli effetti una lista
 * di oggetti.
 */
public class TestVector {
    public static void main(String[] args){
        // creazione di una istanza di un Vettore
        Vector v = new Vector();


        // creo un oggetto esame, dal nome Analisi Matematica,
        // sostenuto il 28 Aprile del 2003, con voto 28
        Exam ex0 = new Exam(new ACMEDate(28,4,2003),"Analisi Matematica",28);
        // aggiungiamo l'oggetto nella lista
        v.add(ex0);

        // aggiungiamo un altro esame
        v.add(new Exam(new ACMEDate(15,8,2002),"Fisica",24));

        // aggiungiamo un altro esame ancora
        v.add(new Exam(new ACMEDate(13,9,2002),"Elettronica",18));

        // visualizziamo il numero di elementi


        //visualizziamo in standard output gli elementi
        for (int i=0; i<v.size(); i++){
            Exam ex = (Exam)v.elementAt(i);
            System.out.println(""+i+"  voto "+ex.getMarks());
        }

        // troviamo il voto maggiore
        int max = -1;
        for (int i=0; i<v.size(); i++){
            Exam ex = (Exam)v.elementAt(i);
            if (ex.getMarks()>max){
                max=ex.getMarks();
            }
        }
        System.out.println("Il voto piu' alto e' "+max);

    }
}
