package es05;

import java.awt.*;
import javax.swing.*;

/**
 * Questa classe estende la classe JPanel definendo un nuovo panello che 
 * corrisponde alla parte superiore della finestra di ACMEPaint.   
 * @author Andrea Urbini
 */
 
public class NorthPanel extends JPanel{
	
	CenterPanel ascoltatore;
	
	/**
	 * Questo metodo costruisce un oggetto NorthPanel.
	 * @param center pannello centrale, cioe' quello su cui si agisce premendo i bottoni.
	 */
	
	public NorthPanel(CenterPanel ascoltatore){
		super();
		this.ascoltatore=ascoltatore;
		//creo una JLabel
		JLabel lb=new JLabel("Griglia:");
		add(lb);
		//creo un campo di testo in cui il testo e' allineato a destra
		JTextField text=new JTextField("5",3);
		text.setHorizontalAlignment(JTextField.RIGHT);
		text.addActionListener(ascoltatore);
		add(text);
		//creo un JButton 
		JButton button=new JButton("Start");
		button.addActionListener(ascoltatore);
		add(button);
	}

}