package es06;

import java.io.*;

/**
 * Questa classe salva su file di testo i messaggi visualizzati inviati dalla 
 * classe Controll.
 * @author Andrea Urbini
 */

public class Saver{
	
	public Saver(){}
	
	/**
	 * Questo metodo scrive sul file di testo alarm.txt la stringa messaggio 
	 * passata in ingresso.
	 * @param message messaggio da salvare su disco.
	 */
	
	public void addMessage(String messaggio){	
	FileWriter file=null;
		try{
			//Crea un oggetto di tipo FileWriter; e' abilitata la funzione append 
			file=new FileWriter("alarm.txt",true);
		}catch(IOException e1){
			//Se si verifica una eccezione allora stampo un messaggio di errore
			System.out.println("Impossibile aprire file");
			System.exit(1);
		}
		try{
			//scrive sul file la stringa messaggio
			file.write(messaggio);
			//Chiude lo stream
			file.close();
		}catch(IOException e2){
			//Se si verifica una eccezione allora stampo un messaggio di errore
			System.out.println("Errore di output");
			System.exit(2);
		}
	}
}
			
			